## XdgAppRemoteRef XdgAppRemoteRef |

## Functions

const char * | xdg_app_remote_ref_get_remote_name ()
GType | xdg_app_remote_ref_get_type ()
XdgAppRemoteRef * | xdg_app_remote_ref_new ()

## Properties

gchar * | remote-name | Read / Write

## Types and Values

struct | XdgAppRemoteRef
| XdgAppRemoteRefClass

## Object Hierarchy

        GObject
        ╰── XdgAppRef
            ╰── XdgAppRemoteRef

## Description

## Functions

### xdg_app_remote_ref_get_remote_name ()

    const char *
    xdg_app_remote_ref_get_remote_name (XdgAppRemoteRef *self);

### xdg_app_remote_ref_get_type ()

    GType
    xdg_app_remote_ref_get_type (void);

### xdg_app_remote_ref_new ()

    XdgAppRemoteRef *
    xdg_app_remote_ref_new (const char *full_ref,
                            const char *commit,
                            const char *remote_name);

## Types and Values

### struct XdgAppRemoteRef

    struct XdgAppRemoteRef;

### XdgAppRemoteRefClass

    typedef struct {
      XdgAppRefClass parent_class;
    } XdgAppRemoteRefClass;

## Property Details

### The `“remote-name”` property

      “remote-name”              gchar *

Flags: Read / Write

Default value: NULL